Subject: Re: [PATCH] powerpc/xive: Prevent page fault issues in the machine crash handler

From: Michael Ellerman <[email-masked]>
Date: Thu, 14 Nov 2019 20:08:15 +1100 (AEDT)

On Thu, 2019-10-31 at 06:31:00 UTC, =?UTF-8?q?C=C3=A9dric=20Le=20Goater?= wrote:
> When the machine crash handler is invoked, all interrupts are masked
> but interrupts which have not been started yet do not have an ESB page
> mapped in the Linux address space. This crashes the 'crash kexec'
> sequence on sPAPR guests.
> 
> To fix, force the mapping of the ESB page when an interrupt is being
> mapped in the Linux IRQ number space. This is done by setting the
> initial state of the interrupt to OFF which is not necessarily the
> case on PowerNV.
> 
> Signed-off-by: Cédric Le Goater <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/1ca3dec2b2dff9d286ce6cd64108bda0e98f9710

cheers